=== asn1/h225/Makefile ===
# $Id: Makefile 18866 2006-08-10 09:02:24Z jmayer $

DISSECTOR_FILES=packet-h225.c packet-h225.h

all: generate_dissector

generate_dissector: $(DISSECTOR_FILES)

$(DISSECTOR_FILES): ../../tools/asn2wrs.py H323-MESSAGES.asn packet-h225-template.c packet-h225-template.h h225.cnf 
	python ../../tools/asn2wrs.py -e -p h225 -c h225.cnf -s packet-h225-template H323-MESSAGES.asn

clean:
	rm -f parsetab.py $(DISSECTOR_FILES)

copy_files: generate_dissector
	cp $(DISSECTOR_FILES) ../../epan/dissectors
