=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make 
DB2MAN=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl


DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

PYTHON_VERSION=python2.3

# Enable IEEE-conformant floating point math on alphas (not the default)
ifeq (alpha-linux,$(DEB_HOST_GNU_TYPE))
  CFLAGS += -mieee
endif

idl2deb.1: idl2deb.dbk
	xsltproc --nonet --novalid $(DB2MAN) $<

asn2deb.1: asn2deb.dbk
	xsltproc --nonet --novalid $(DB2MAN) $<


CONFIGURE_FLAGS=--prefix=/usr --sysconfdir=/usr/share/wireshark --datadir=/usr/share/wireshark --disable-static --disable-ssl --without-ucdsnmp --enable-gtk2 --libdir=/usr/lib/wireshark CFLAGS="$(CFLAGS)";

configure: configure-stamp
configure-stamp: patch
	dh_testdir

	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
	libtoolize --force --copy
	autoheader
	autoconf
	-mkdir aclocal-missing
	(if [ ! -x ./configure ]; then \
	   ./autogen.sh $(CONFIGURE_FLAGS) CFLAGS="$(CFLAGS)"; \
	fi)

	./configure $(CONFIGURE_FLAGS) CFLAGS="$(CFLAGS)"

	touch configure-stamp

build: build-stamp idl2deb.1 asn2deb.1
build-stamp: configure-stamp
	$(MAKE)

	touch build-stamp

patch: patch-stamp
patch-stamp:
	dpatch apply-all


clean: unpatch-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) distclean
	rm -f rdps wireshark.1 tshark.1 idl2deb.1 wireshark-filter.4 asn2deb.1
	rm -f conftest conftest.c
	rm -f config.guess config.sub config.log
	rm -f config.h.in config.h configure

	dh_clean

unpatch: unpatch-stamp
unpatch-stamp:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	mkdir -p `pwd`/debian/tmp/usr/share/applications/
	cp wireshark.desktop `pwd`/debian/tmp/usr/share/applications/
	cp tools/idl2wrs.sh `pwd`/debian/tmp/usr/bin/
	cp debian/wireshark-root.desktop `pwd`/debian/tmp/usr/share/applications/
	mkdir -p `pwd`/debian/tmp/usr/share/pixmaps/
	cp image/hi48-app-wireshark.png `pwd`/debian/tmp/usr/share/pixmaps/
	cp image/wsicon32.xpm `pwd`/debian/tmp/usr/share/pixmaps/
	mkdir -p `pwd`/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
	install -m 755 `pwd`/idl2deb `pwd`/debian/tmp/usr/bin/
	install -m 755 `pwd`/asn2deb `pwd`/debian/tmp/usr/bin/
	cp `pwd`/tools/wireshark_be.py `pwd`/tools/wireshark_gen.py \
			`pwd`/debian/tmp/usr/lib/$(PYTHON_VERSION)/site-packages/
	mkdir -p `pwd`/debian/tmp/usr/include/wireshark/
	for F in `cat debian/wireshark-dev.header-files`; do \
		cp --parents $$F `pwd`/debian/tmp/usr/include/wireshark; \
	done
	# .a is no longer built; why was is used ?
	#cp `pwd`/wiretap/libwiretap.a `pwd`/debian/tmp/usr/lib/
	-rm -rf `pwd`/debian/tmp/usr/man
	dh_installman

	dh_movefiles
	dh_installdocs
	-rm debian/menu   # from upstream debian/ package
	dh_installmenu
	dh_installchangelogs NEWS
	dh_strip
	dh_compress
	dh_fixperms

	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
